Bug 108037 - On HarfbuzzNG ports, Arabic TATWEEL is not joined
Summary: On HarfbuzzNG ports, Arabic TATWEEL is not joined
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eli Fidler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-27 11:58 PST by Eli Fidler
Modified: 2013-01-29 09:34 PST (History)
4 users (show)

See Also:


Attachments
patch (3.18 KB, patch)
2013-01-27 12:09 PST, Eli Fidler
no flags Details | Formatted Diff | Diff
Patch for landing (5.35 KB, patch)
2013-01-29 07:50 PST, Eli Fidler
no flags Details | Formatted Diff | Diff
Patch for landing (3.15 KB, patch)
2013-01-29 08:57 PST, Eli Fidler
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eli Fidler 2013-01-27 11:58:02 PST
The Arabic tatweel (U+0640) is not joining to the previous Arabic characters on HarfbuzzNG ports.

It's being split into a separate run, because its script is USCRIPT_COMMON. It has script extensions for USCRIPT_ARABIC, so I think it shouldn't trigger a new run.
Comment 1 Eli Fidler 2013-01-27 12:09:02 PST
Created attachment 184919 [details]
patch
Comment 2 Tony Chang 2013-01-28 16:02:44 PST
Looks fine to me.  Bashi, does this seem correct to you too?
Comment 3 Kenichi Ishibashi 2013-01-28 18:03:15 PST
(In reply to comment #2)
> Looks fine to me.  Bashi, does this seem correct to you too?

LGTM. (I didn't checked carefully because I'm still taking sick leave.)
Comment 4 WebKit Review Bot 2013-01-29 03:38:25 PST
Comment on attachment 184919 [details]
patch

Rejecting attachment 184919 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=gce-cq-02', 'land-attachment', '--force-clean', '--non-interactive', '--parent-command=commit-queue', 184919, '--port=chromium-xvfb']" exit_code: 2 cwd: /mnt/git/webkit-commit-queue

Last 500 characters of output:
rce/WebKit/chromium/webkit/media/crypto/ppapi/cdm --revision 173055 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
56>At revision 173055.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...

Full output: http://queues.webkit.org/results/16192117
Comment 5 Eli Fidler 2013-01-29 07:50:06 PST
Created attachment 185247 [details]
Patch for landing
Comment 6 Eli Fidler 2013-01-29 08:57:12 PST
Created attachment 185253 [details]
Patch for landing
Comment 7 WebKit Review Bot 2013-01-29 09:34:06 PST
Comment on attachment 185253 [details]
Patch for landing

Clearing flags on attachment: 185253

Committed r141124: <http://trac.webkit.org/changeset/141124>
Comment 8 WebKit Review Bot 2013-01-29 09:34:09 PST
All reviewed patches have been landed.  Closing bug.